- Qt 6.9
- Qt GUI
- C++ Classes
- QWGLContext
- Qt 6.9.3 Reference Documentation

# QNativeInterface::QWGLContext Struct

Native interface to a WGL context on Windows. More...

Header: | `#include <QOpenGLContext>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Since: | Qt 6.0

- List of all members, including inherited members

## Public Functions

virtual HGLRC | nativeContext() const = 0

## Static Public Members

QOpenGLContext * | fromNative(HGLRC context, HWND window, QOpenGLContext *shareContext = nullptr)
HMODULE | openGLModuleHandle()

## Detailed Description

Accessed through QOpenGLContext::nativeInterface().

## Member Function Documentation

### `[static]` QOpenGLContext *QWGLContext::fromNative(HGLRC context, HWND window, QOpenGLContext *shareContext = nullptr)

Adopts an WGL context handle.

The window is needed because the its pixel format will be queried. When the adoption is successful, QOpenGLContext::format() will return a QSurfaceFormat describing this pixel format.

Note: The window specified by window must have its pixel format set to a format compatible with the context's. If no SetPixelFormat() call was made on any device context belonging to the window, adopting the context will fail.

Ownership of the created QOpenGLContext shareContext is transferred to the caller.

### `[pure virtual]` HGLRC QWGLContext::nativeContext() const

Returns the underlying context handle.

### `[static]` HMODULE QWGLContext::openGLModuleHandle()

Returns the handle for the OpenGL implementation that is currently in use.

Note: This function requires that the QGuiApplication instance is already created.